<?php

class Questions_submit extends CI_Controller {

        var $module = 'questions';
    public function __construct()
    {
        // $this->load does not exist until after you call this
        parent::__construct(); // Construct CI's core so that you can use it

        $this->load->database();
        $this->load->helper('language'); 
        $this->load->library('session'); 
        $this->load->model('Security','security_model');
        $this->load->model('Formsubmit_Model','formsubmit_model'); 
        $this->load->model('Language','language_model');  
         //require_once(APPPATH.'controllers/admin/Security.php'); //include controller
            //$security = new Security();  //create object 
            //$security->permission(); //call function    

        //check user have login or not
        $this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //end check user have login or not
    }
    function index()
    {
        
        $session_id = $this->security_model->getcode();
        //$sess = $this->security_model->admin($session_id);
        //$property = $this->Property->get();
        

        //check user have login or not
        // $this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //end check user have login or not
        
        //$data['sess'] = $sess;  
        //$data['property'] = $property;
        $data['module'] = $this->module;
        $data['question_submit_content'] = $this->formsubmit_model->get();
        $data['selectedmenu']="question_submit";

        //load question
        $this->load->model('Questions_Model','questions_model');
        $data['questionslist']=$this->questions_model->get($data);
        //end load question

        $this->load->view('admin/questions_submit_view.php', $data); 
    
    }
    
    function edit()
    {

        // echo "1";
        //$session_id = $this->security_model->getcode();
        //$this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //$property = $this->Property->get();
        
        //echo $this->input->post('save');

        if($this->input->post('save')){
            //echo "post save";
            $id = $this->input->post('id');
            
            $arr['inputname'] = $this->input->post('inputname');
            $arr['inputemail'] = $this->input->post('inputemail');
            $arr['staticmobile'] = $this->input->post('staticmobile');
            $arr['inputgender'] = $this->input->post('inputgender');
            $arr['inputage'] = $this->input->post('inputage');
            $arr['questionanswer'] = $this->input->post('questionanswer');

            // $arr['keywords'] = $this->input->post('keywords');
            // $arr['lang'] = $this->input->post('lang');
            
            if($id == false){
                $arr['entered'] = date('Y-m-d H:i:s');
                $id = $this->formsubmit_model->insertForm($arr);
                header('location:'.base_url().'admin/questions_submit/edit?save=1&id='.$id);
                exit;
            }else{
                $this->formsubmit_model->update($id, $arr);
                header('location:'.base_url().'admin/questions_submit/edit?save=1&id='.$id);
                exit;
            }
        }
        
        $id = $this->input->get('id');
        
        $data['languages'] = $this->language_model->get_all();
        //$data['sess'] = $sess;  
        //$data['sess'] = $session_id;  
        //$data['property'] = $property;
        //$data['module'] = $this->module;

        $data['questions_submit_content'] = $this->formsubmit_model->get_id($id);
        
        $this->load->model('Questions_Model','questions_model');
        $data['questionslist']=$this->questions_model->get();


        $data['save'] = $this->input->get('save');
        $data['selectedmenu']="questions_submit";    
        $this->load->view('admin/questions_submit_edit_view.php', $data);    
        
    }
    function delete($id)
    {
       //$this->db->delete('items', array('id' => $id));
       $this->formsubmit_model->delete($id);
       echo 'Deleted successfully.';
    }
    
}

?>